% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{tif_tags_reference}
\alias{tif_tags_reference}
\title{TIFF tag reference.}
\source{
\url{https://www.awaresystems.be}
}
\usage{
tif_tags_reference()
}
\description{
A dataset containing the information on all known baseline and extended TIFF
tags.
}
\details{
A data frame with 96 rows and 10 variables: \describe{
\item{code_dec}{decimal numeric code of the TIFF tag}
\item{code_hex}{hexadecimal numeric code of the TIFF tag} \item{name}{the
name of the TIFF tag} \item{short_description}{a short description of the
TIFF tag} \item{tag_type}{the type of TIFF tag: either "baseline" or
"extended"} \item{url}{the URL of the TIFF tag at
\url{https://www.awaresystems.be}} \item{libtiff_name}{the TIFF tag name in
the libtiff C library} \item{c_type}{the C type of the TIFF tag data in
libtiff} \item{count}{the number of elements in the TIFF tag data}
\item{default}{the default value of the data held in the TIFF tag} }
}
\examples{
tif_tags_reference()
}
